diff --git c/scala/xml/dtd/ElemDecl.class w/scala/xml/dtd/ElemDecl.class
index ce417789ef..4bebcbf942 100644
--- c/scala/xml/dtd/ElemDecl.class
+++ w/scala/xml/dtd/ElemDecl.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.ElemDecl extends scala.xml.dtd.MarkupDecl implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.ElemDecl extends scala.xml.dtd.MarkupDecl implements scala.Product,scala.Serializable{
 private final java.lang.String name;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/ElementValidator.class w/scala/xml/dtd/ElementValidator.class
index f6728534a2..afb75a9232 100644
--- c/scala/xml/dtd/ElementValidator.class
+++ w/scala/xml/dtd/ElementValidator.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //RegExp=class scala/util/regexp/Base$RegExp of class
 public final #= # of #; //Translator$=class scala/xml/dtd/ContentModel$Translator$ of class scala/xml/dtd/ContentModel
 
 Compiled from "ElementValidator.scala"
-public class scala.xml.dtd.ElementValidator extends java.lang.Object implements scala.Function1,scala.ScalaObject{
+public class scala.xml.dtd.ElementValidator extends java.lang.Object implements scala.Function1{
 private scala.collection.immutable.List scala$xml$dtd$ElementValidator$$exc;
   Signature: Lscala/collection/immutable/List;
 
diff --git c/scala/xml/dtd/ExtDef.class w/scala/xml/dtd/ExtDef.class
index 65a2abcaf8..555867d4e0 100644
--- c/scala/xml/dtd/ExtDef.class
+++ w/scala/xml/dtd/ExtDef.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.ExtDef extends scala.xml.dtd.EntityDef implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.ExtDef extends scala.xml.dtd.EntityDef implements scala.Product,scala.Serializable{
 private final scala.xml.dtd.ExternalID extID;
   Signature: Lscala/xml/dtd/ExternalID;
 
diff --git c/scala/xml/dtd/ExternalID.class w/scala/xml/dtd/ExternalID.class
index a55d9d0868..b4f322bb25 100644
--- c/scala/xml/dtd/ExternalID.class
+++ w/scala/xml/dtd/ExternalID.class
@@ -1,6 +1,6 @@
 
 Compiled from "ExternalID.scala"
-public abstract class scala.xml.dtd.ExternalID extends java.lang.Object implements scala.xml.parsing.TokenTests,scala.ScalaObject{
+public abstract class scala.xml.dtd.ExternalID extends java.lang.Object implements scala.xml.parsing.TokenTests{
 public final boolean isSpace(char);
   Signature: (C)Z
   Code:
diff --git c/scala/xml/dtd/IMPLIED$.class w/scala/xml/dtd/IMPLIED$.class
index 490cd470d8..683b821aee 100644
--- c/scala/xml/dtd/IMPLIED$.class
+++ w/scala/xml/dtd/IMPLIED$.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public final class scala.xml.dtd.IMPLIED$ extends scala.xml.dtd.DefaultDecl implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.xml.dtd.IMPLIED$ extends scala.xml.dtd.DefaultDecl implements scala.Product,scala.Serializable{
 public static final scala.xml.dtd.IMPLIED$ MODULE$;
   Signature: Lscala/xml/dtd/IMPLIED$;
 
diff --git c/scala/xml/dtd/IntDef.class w/scala/xml/dtd/IntDef.class
index 7414168b66..ae5af2acc3 100644
--- c/scala/xml/dtd/IntDef.class
+++ w/scala/xml/dtd/IntDef.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.IntDef extends scala.xml.dtd.EntityDef implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.IntDef extends scala.xml.dtd.EntityDef implements scala.Product,scala.Serializable{
 private final java.lang.String value;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/MIXED.class w/scala/xml/dtd/MIXED.class
index c5496c8201..9a908d2747 100644
--- c/scala/xml/dtd/MIXED.class
+++ w/scala/xml/dtd/MIXED.class
@@ -4,7 +4,7 @@ public final #= # of #; //Alt$=class scala/util/regexp/Base$Alt$ of class scala/
 public abstract #= # of #; //RegExp=class scala/util/regexp/Base$RegExp of class scala/util/regexp/Base
 
 Compiled from "ContentModel.scala"
-public class scala.xml.dtd.MIXED extends scala.xml.dtd.DFAContentModel implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.MIXED extends scala.xml.dtd.DFAContentModel implements scala.Product,scala.Serializable{
 private final scala.util.regexp.Base$RegExp r;
   Signature: Lscala/util/regexp/Base$RegExp;
 
diff --git c/scala/xml/dtd/NotationDecl.class w/scala/xml/dtd/NotationDecl.class
index f74ff3ab6a..41fc5554c3 100644
--- c/scala/xml/dtd/NotationDecl.class
+++ w/scala/xml/dtd/NotationDecl.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.NotationDecl extends scala.xml.dtd.MarkupDecl implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.NotationDecl extends scala.xml.dtd.MarkupDecl implements scala.Product,scala.Serializable{
 private final java.lang.String name;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/PCDATA$.class w/scala/xml/dtd/PCDATA$.class
index b68c18721b..3bef2cea7b 100644
--- c/scala/xml/dtd/PCDATA$.class
+++ w/scala/xml/dtd/PCDATA$.class
@@ -1,6 +1,6 @@
 
 Compiled from "ContentModel.scala"
-public final class scala.xml.dtd.PCDATA$ extends scala.xml.dtd.ContentModel implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.xml.dtd.PCDATA$ extends scala.xml.dtd.ContentModel implements scala.Product,scala.Serializable{
 public static final scala.xml.dtd.PCDATA$ MODULE$;
   Signature: Lscala/xml/dtd/PCDATA$;
 
diff --git c/scala/xml/dtd/PEReference.class w/scala/xml/dtd/PEReference.class
index 33f33b028d..f7e0147f53 100644
--- c/scala/xml/dtd/PEReference.class
+++ w/scala/xml/dtd/PEReference.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.PEReference extends scala.xml.dtd.MarkupDecl implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.PEReference extends scala.xml.dtd.MarkupDecl implements scala.Product,scala.Serializable{
 private final java.lang.String ent;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/ParameterEntityDecl.class w/scala/xml/dtd/ParameterEntityDecl.class
index 32907677f7..4d607fa086 100644
--- c/scala/xml/dtd/ParameterEntityDecl.class
+++ w/scala/xml/dtd/ParameterEntityDecl.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.ParameterEntityDecl extends scala.xml.dtd.EntityDecl implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.ParameterEntityDecl extends scala.xml.dtd.EntityDecl implements scala.Product,scala.Serializable{
 private final java.lang.String name;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/ParsedEntityDecl.class w/scala/xml/dtd/ParsedEntityDecl.class
index cb0df32d70..a6d82bb65c 100644
--- c/scala/xml/dtd/ParsedEntityDecl.class
+++ w/scala/xml/dtd/ParsedEntityDecl.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.ParsedEntityDecl extends scala.xml.dtd.EntityDecl implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.ParsedEntityDecl extends scala.xml.dtd.EntityDecl implements scala.Product,scala.Serializable{
 private final java.lang.String name;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/PublicID.class w/scala/xml/dtd/PublicID.class
index a0ad0e72ee..bea3b13536 100644
--- c/scala/xml/dtd/PublicID.class
+++ w/scala/xml/dtd/PublicID.class
@@ -1,6 +1,6 @@
 
 Compiled from "ExternalID.scala"
-public class scala.xml.dtd.PublicID extends scala.xml.dtd.ExternalID implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.PublicID extends scala.xml.dtd.ExternalID implements scala.Product,scala.Serializable{
 private final java.lang.String publicId;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/REQUIRED$.class w/scala/xml/dtd/REQUIRED$.class
index 3585b079b9..9ead2b3d17 100644
--- c/scala/xml/dtd/REQUIRED$.class
+++ w/scala/xml/dtd/REQUIRED$.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public final class scala.xml.dtd.REQUIRED$ extends scala.xml.dtd.DefaultDecl implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.xml.dtd.REQUIRED$ extends scala.xml.dtd.DefaultDecl implements scala.Product,scala.Serializable{
 public static final scala.xml.dtd.REQUIRED$ MODULE$;
   Signature: Lscala/xml/dtd/REQUIRED$;
 
diff --git c/scala/xml/dtd/Scanner.class w/scala/xml/dtd/Scanner.class
index 5a26c8e528..446400b8f3 100644
--- c/scala/xml/dtd/Scanner.class
+++ w/scala/xml/dtd/Scanner.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "Scanner.scala"
-public class scala.xml.dtd.Scanner extends scala.xml.dtd.Tokens implements scala.xml.parsing.TokenTests,scala.ScalaObject{
+public class scala.xml.dtd.Scanner extends scala.xml.dtd.Tokens implements scala.xml.parsing.TokenTests{
 private final char ENDCH;
   Signature: C
 
diff --git c/scala/xml/dtd/SystemID.class w/scala/xml/dtd/SystemID.class
index 0ce257242c..5afb06ce9e 100644
--- c/scala/xml/dtd/SystemID.class
+++ w/scala/xml/dtd/SystemID.class
@@ -1,6 +1,6 @@
 
 Compiled from "ExternalID.scala"
-public class scala.xml.dtd.SystemID extends scala.xml.dtd.ExternalID implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.SystemID extends scala.xml.dtd.ExternalID implements scala.Product,scala.Serializable{
 private final java.lang.String systemId;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/UnparsedEntityDecl.class w/scala/xml/dtd/UnparsedEntityDecl.class
index 1617050413..2ad1fb629e 100644
--- c/scala/xml/dtd/UnparsedEntityDecl.class
+++ w/scala/xml/dtd/UnparsedEntityDecl.class
@@ -1,6 +1,6 @@
 
 Compiled from "Decl.scala"
-public class scala.xml.dtd.UnparsedEntityDecl extends scala.xml.dtd.EntityDecl implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.UnparsedEntityDecl extends scala.xml.dtd.EntityDecl implements scala.Product,scala.Serializable{
 private final java.lang.String name;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/dtd/ValidationException.class w/scala/xml/dtd/ValidationException.class
index 141948bdab..53f2cb78bb 100644
--- c/scala/xml/dtd/ValidationException.class
+++ w/scala/xml/dtd/ValidationException.class
@@ -1,6 +1,6 @@
 
 Compiled from "ValidationException.scala"
-public class scala.xml.dtd.ValidationException extends java.lang.Exception implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.dtd.ValidationException extends java.lang.Exception implements scala.Product,scala.Serializable{
 private final java.lang.String e;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/factory/LoggedNodeFactory.class w/scala/xml/factory/LoggedNodeFactory.class
index 233bbb0de8..d8bac5de3d 100644
--- c/scala/xml/factory/LoggedNodeFactory.class
+++ w/scala/xml/factory/LoggedNodeFactory.class
@@ -1,6 +1,6 @@
 
 Compiled from "LoggedNodeFactory.scala"
-public interface scala.xml.factory.LoggedNodeFactory extends scala.xml.factory.NodeFactory,scala.util.logging.Logged,scala.ScalaObject{
+public interface scala.xml.factory.LoggedNodeFactory extends scala.xml.factory.NodeFactory,scala.util.logging.Logged{
 public abstract void scala$xml$factory$LoggedNodeFactory$_setter_$logNode_$eq(boolean);
   Signature: (Z)V
 
diff --git c/scala/xml/parsing/ConstructingParser.class w/scala/xml/parsing/ConstructingParser.class
index 4e1cc7e363..66ea436447 100644
--- c/scala/xml/parsing/ConstructingParser.class
+++ w/scala/xml/parsing/ConstructingParser.class
@@ -1,6 +1,6 @@
 
 Compiled from "ConstructingParser.scala"
-public class scala.xml.parsing.ConstructingParser extends scala.xml.parsing.ConstructingHandler implements scala.xml.parsing.ExternalSources,scala.xml.parsing.MarkupParser,scala.ScalaObject{
+public class scala.xml.parsing.ConstructingParser extends scala.xml.parsing.ConstructingHandler implements scala.xml.parsing.ExternalSources,scala.xml.parsing.MarkupParser{
 private final scala.io.Source input;
   Signature: Lscala/io/Source;
 
diff --git c/scala/xml/parsing/FactoryAdapter.class w/scala/xml/parsing/FactoryAdapter.class
index c3cbfba5a6..ccc4052ea9 100644
--- c/scala/xml/parsing/FactoryAdapter.class
+++ w/scala/xml/parsing/FactoryAdapter.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "FactoryAdapter.scala"
-public abstract class scala.xml.parsing.FactoryAdapter extends org.xml.sax.helpers.DefaultHandler implements scala.xml.factory.XMLLoader,scala.ScalaObject{
+public abstract class scala.xml.parsing.FactoryAdapter extends org.xml.sax.helpers.DefaultHandler implements scala.xml.factory.XMLLoader{
 private scala.xml.Node rootElem;
   Signature: Lscala/xml/Node;
 
diff --git c/scala/xml/parsing/FatalError.class w/scala/xml/parsing/FatalError.class
index 192d72595a..a4feea0188 100644
--- c/scala/xml/parsing/FatalError.class
+++ w/scala/xml/parsing/FatalError.class
@@ -1,6 +1,6 @@
 
 Compiled from "FatalError.scala"
-public class scala.xml.parsing.FatalError extends java.lang.RuntimeException implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.parsing.FatalError extends java.lang.RuntimeException implements scala.Product,scala.Serializable{
 private final java.lang.String msg;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/parsing/MarkupHandler.class w/scala/xml/parsing/MarkupHandler.class
index 77f35d9738..d073dbf803 100644
--- c/scala/xml/parsing/MarkupHandler.class
+++ w/scala/xml/parsing/MarkupHandler.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "MarkupHandler.scala"
-public abstract class scala.xml.parsing.MarkupHandler extends java.lang.Object implements scala.util.logging.Logged,scala.ScalaObject{
+public abstract class scala.xml.parsing.MarkupHandler extends java.lang.Object implements scala.util.logging.Logged{
 private final boolean isValidating;
   Signature: Z
 
diff --git c/scala/xml/parsing/MarkupParser.class w/scala/xml/parsing/MarkupParser.class
index 73be511612..ab271776d3 100644
--- c/scala/xml/parsing/MarkupParser.class
+++ w/scala/xml/parsing/MarkupParser.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //WithLookAhead=class scala/xml/parsing/MarkupParser$WithLookAhead of class scala/xml/parsing/MarkupParser
 
 Compiled from "MarkupParser.scala"
-public interface scala.xml.parsing.MarkupParser extends scala.xml.parsing.MarkupParserCommon,scala.xml.parsing.TokenTests,scala.ScalaObject{
+public interface scala.xml.parsing.MarkupParser extends scala.xml.parsing.MarkupParserCommon{
 public abstract void scala$xml$parsing$MarkupParser$_setter_$scala$xml$parsing$MarkupParser$$handle_$eq(scala.xml.parsing.MarkupHandler);
   Signature: (Lscala/xml/parsing/MarkupHandler;)V
 
diff --git c/scala/xml/parsing/MarkupParserCommon.class w/scala/xml/parsing/MarkupParserCommon.class
index ebc3f124bf..44a0f076df 100644
--- c/scala/xml/parsing/MarkupParserCommon.class
+++ w/scala/xml/parsing/MarkupParserCommon.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "MarkupParserCommon.scala"
-public interface scala.xml.parsing.MarkupParserCommon extends scala.xml.parsing.TokenTests,scala.ScalaObject{
+public interface scala.xml.parsing.MarkupParserCommon extends scala.xml.parsing.TokenTests{
 public abstract scala.runtime.Nothing$ unreachable();
   Signature: ()Lscala/runtime/Nothing$;
 
diff --git c/scala/xml/parsing/NoBindingFactoryAdapter.class w/scala/xml/parsing/NoBindingFactoryAdapter.class
index 8d278a66b0..25cadaeb0e 100644
--- c/scala/xml/parsing/NoBindingFactoryAdapter.class
+++ w/scala/xml/parsing/NoBindingFactoryAdapter.class
@@ -1,6 +1,6 @@
 
 Compiled from "NoBindingFactoryAdapter.scala"
-public class scala.xml.parsing.NoBindingFactoryAdapter extends scala.xml.parsing.FactoryAdapter implements scala.xml.factory.NodeFactory,scala.ScalaObject{
+public class scala.xml.parsing.NoBindingFactoryAdapter extends scala.xml.parsing.FactoryAdapter implements scala.xml.factory.NodeFactory{
 private final boolean ignoreComments;
   Signature: Z
 
diff --git c/scala/xml/parsing/ValidatingMarkupHandler.class w/scala/xml/parsing/ValidatingMarkupHandler.class
index d3ace847fb..9fd97d7306 100644
--- c/scala/xml/parsing/ValidatingMarkupHandler.class
+++ w/scala/xml/parsing/ValidatingMarkupHandler.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //ElemName=class scala/xml/dtd/ContentModel$ElemName of class scala/xml/dtd/ContentModel
 
 Compiled from "ValidatingMarkupHandler.scala"
-public abstract class scala.xml.parsing.ValidatingMarkupHandler extends scala.xml.parsing.MarkupHandler implements scala.util.logging.Logged,scala.ScalaObject{
+public abstract class scala.xml.parsing.ValidatingMarkupHandler extends scala.xml.parsing.MarkupHandler implements scala.util.logging.Logged{
 private java.lang.String rootLabel;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/parsing/XhtmlParser.class w/scala/xml/parsing/XhtmlParser.class
index ae609c3f58..2b8c09c62f 100644
--- c/scala/xml/parsing/XhtmlParser.class
+++ w/scala/xml/parsing/XhtmlParser.class
@@ -1,6 +1,6 @@
 
 Compiled from "XhtmlParser.scala"
-public class scala.xml.parsing.XhtmlParser extends scala.xml.parsing.ConstructingHandler implements scala.xml.parsing.MarkupParser,scala.xml.parsing.ExternalSources,scala.ScalaObject{
+public class scala.xml.parsing.XhtmlParser extends scala.xml.parsing.ConstructingHandler implements scala.xml.parsing.MarkupParser,scala.xml.parsing.ExternalSources{
 private final scala.io.Source input;
   Signature: Lscala/io/Source;
 
diff --git c/scala/xml/persistent/CachedFileStorage.class w/scala/xml/persistent/CachedFileStorage.class
index 11fbabcf93..4edecdb229 100644
--- c/scala/xml/persistent/CachedFileStorage.class
+++ w/scala/xml/persistent/CachedFileStorage.class
@@ -1,6 +1,6 @@
 
 Compiled from "CachedFileStorage.scala"
-public abstract class scala.xml.persistent.CachedFileStorage extends java.lang.Thread implements scala.util.logging.Logged,scala.ScalaObject{
+public abstract class scala.xml.persistent.CachedFileStorage extends java.lang.Thread implements scala.util.logging.Logged{
 private final java.io.File file1;
   Signature: Ljava/io/File;
 
diff --git c/scala/xml/persistent/Index.class w/scala/xml/persistent/Index.class
index 4f519d54ca..4700efd122 100644
--- c/scala/xml/persistent/Index.class
+++ w/scala/xml/persistent/Index.class
@@ -1,6 +1,6 @@
 
 Compiled from "Index.scala"
-public abstract class scala.xml.persistent.Index extends java.lang.Object implements scala.Function1,scala.ScalaObject{
+public abstract class scala.xml.persistent.Index extends java.lang.Object implements scala.Function1{
 public boolean apply$mcZD$sp(double);
   Signature: (D)Z
   Code:
diff --git c/scala/xml/pull/EvComment.class w/scala/xml/pull/EvComment.class
index e82fa5f440..e0866437bc 100644
--- c/scala/xml/pull/EvComment.class
+++ w/scala/xml/pull/EvComment.class
@@ -1,6 +1,6 @@
 
 Compiled from "XMLEvent.scala"
-public class scala.xml.pull.EvComment extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.pull.EvComment extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.Product,scala.Serializable{
 private final java.lang.String text;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/pull/EvElemEnd.class w/scala/xml/pull/EvElemEnd.class
index b9437519d1..f295a98ef6 100644
--- c/scala/xml/pull/EvElemEnd.class
+++ w/scala/xml/pull/EvElemEnd.class
@@ -1,6 +1,6 @@
 
 Compiled from "XMLEvent.scala"
-public class scala.xml.pull.EvElemEnd extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.pull.EvElemEnd extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.Product,scala.Serializable{
 private final java.lang.String pre;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/pull/EvElemStart.class w/scala/xml/pull/EvElemStart.class
index 59b5a8c123..1fb5502296 100644
--- c/scala/xml/pull/EvElemStart.class
+++ w/scala/xml/pull/EvElemStart.class
@@ -1,6 +1,6 @@
 
 Compiled from "XMLEvent.scala"
-public class scala.xml.pull.EvElemStart extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.pull.EvElemStart extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.Product,scala.Serializable{
 private final java.lang.String pre;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/pull/EvEntityRef.class w/scala/xml/pull/EvEntityRef.class
index 1b6280bca4..b5d57c74dc 100644
--- c/scala/xml/pull/EvEntityRef.class
+++ w/scala/xml/pull/EvEntityRef.class
@@ -1,6 +1,6 @@
 
 Compiled from "XMLEvent.scala"
-public class scala.xml.pull.EvEntityRef extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.pull.EvEntityRef extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.Product,scala.Serializable{
 private final java.lang.String entity;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/pull/EvProcInstr.class w/scala/xml/pull/EvProcInstr.class
index 880313b370..de1802d9aa 100644
--- c/scala/xml/pull/EvProcInstr.class
+++ w/scala/xml/pull/EvProcInstr.class
@@ -1,6 +1,6 @@
 
 Compiled from "XMLEvent.scala"
-public class scala.xml.pull.EvProcInstr extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.pull.EvProcInstr extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.Product,scala.Serializable{
 private final java.lang.String target;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/pull/EvText.class w/scala/xml/pull/EvText.class
index 1a7a91535e..3d38f37cd9 100644
--- c/scala/xml/pull/EvText.class
+++ w/scala/xml/pull/EvText.class
@@ -1,6 +1,6 @@
 
 Compiled from "XMLEvent.scala"
-public class scala.xml.pull.EvText extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.xml.pull.EvText extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.Product,scala.Serializable{
 private final java.lang.String text;
   Signature: Ljava/lang/String;
 
diff --git c/scala/xml/pull/ProducerConsumerIterator.class w/scala/xml/pull/ProducerConsumerIterator.class
index 0c588cd2f0..de2f946458 100644
--- c/scala/xml/pull/ProducerConsumerIterator.class
+++ w/scala/xml/pull/ProducerConsumerIterator.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "XMLEventReader.scala"
-public interface scala.xml.pull.ProducerConsumerIterator extends scala.collection.Iterator,scala.ScalaObject{
+public interface scala.xml.pull.ProducerConsumerIterator extends scala.collection.Iterator{
 public abstract void scala$xml$pull$ProducerConsumerIterator$_setter_$MaxQueueSize_$eq(int);
   Signature: (I)V
 
diff --git c/scala/xml/pull/XMLEventReader$POISON$.class w/scala/xml/pull/XMLEventReader$POISON$.class
index 18f3a22b17..e4d6a81fa1 100644
--- c/scala/xml/pull/XMLEventReader$POISON$.class
+++ w/scala/xml/pull/XMLEventReader$POISON$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //POISON$=class scala/xml/pull/XMLEventReader$POISON$ of class scala/xml/pull/XMLEventReader
 
 Compiled from "XMLEventReader.scala"
-public final class scala.xml.pull.XMLEventReader$POISON$ extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.xml.pull.XMLEventReader$POISON$ extends java.lang.Object implements scala.xml.pull.XMLEvent,scala.Product,scala.Serializable{
 private final scala.xml.pull.XMLEventReader $outer;
   Signature: Lscala/xml/pull/XMLEventReader;
 
diff --git c/scala/xml/pull/XMLEventReader$Parser.class w/scala/xml/pull/XMLEventReader$Parser.class
index 8181a71c6f..e1cb8dc405 100644
--- c/scala/xml/pull/XMLEventReader$Parser.class
+++ w/scala/xml/pull/XMLEventReader$Parser.class
@@ -3,7 +3,7 @@ public #= # of #; //Parser=class scala/xml/pull/XMLEventReader$Parser of class s
 public final #= # of #; //POISON$=class scala/xml/pull/XMLEventReader$POISON$ of class scala/xml/pull/XMLEventReader
 
 Compiled from "XMLEventReader.scala"
-public class scala.xml.pull.XMLEventReader$Parser extends scala.xml.parsing.MarkupHandler implements scala.xml.parsing.MarkupParser,scala.xml.parsing.ExternalSources,java.lang.Runnable,scala.ScalaObject{
+public class scala.xml.pull.XMLEventReader$Parser extends scala.xml.parsing.MarkupHandler implements scala.xml.parsing.MarkupParser,scala.xml.parsing.ExternalSources,java.lang.Runnable{
 private final scala.io.Source input;
   Signature: Lscala/io/Source;
 
diff --git c/scala/xml/pull/XMLEventReader.class w/scala/xml/pull/XMLEventReader.class
index 0677f3c17d..0fadeb1e9a 100644
--- c/scala/xml/pull/XMLEventReader.class
+++ w/scala/xml/pull/XMLEventReader.class
@@ -3,7 +3,7 @@ public final #= # of #; //POISON$=class scala/xml/pull/XMLEventReader$POISON$ of
 public #= # of #; //Parser=class scala/xml/pull/XMLEventReader$Parser of class scala/xml/pull/XMLEventReader
 
 Compiled from "XMLEventReader.scala"
-public class scala.xml.pull.XMLEventReader extends scala.collection.AbstractIterator implements scala.xml.pull.ProducerConsumerIterator,scala.ScalaObject{
+public class scala.xml.pull.XMLEventReader extends scala.collection.AbstractIterator implements scala.xml.pull.ProducerConsumerIterator{
 private final boolean preserveWS;
   Signature: Z
 
diff --git c/scala/xml/transform/BasicTransformer.class w/scala/xml/transform/BasicTransformer.class
index 4db5376c0d..670dd81613 100644
--- c/scala/xml/transform/BasicTransformer.class
+++ w/scala/xml/transform/BasicTransformer.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "BasicTransformer.scala"
-public abstract class scala.xml.transform.BasicTransformer extends java.lang.Object implements scala.Function1,scala.ScalaObject{
+public abstract class scala.xml.transform.BasicTransformer extends java.lang.Object implements scala.Function1{
 public boolean apply$mcZD$sp(double);
   Signature: (D)Z
   Code:
